package com.zanxiang.game.module.sdk.pojo.result;

import lombok.Data;
import org.apache.logging.log4j.util.Strings;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-10-08
 * @description : 实名认证结果
 */
@Data
public class CardCheckResult {

    /**
     * 返回码
     */
    private String code;

    /**
     * 消息
     */
    private String message;

    /**
     * 结果
     */
    private String data;

    /**
     * 结果数据
     */
    private ResultBean result;

    @Data
    public static class ResultBean {

        /**
         * 名字
         */
        private String name;

        /**
         * 身份证号
         */
        private String idcard;

        /**
         * 核验结果状态码，1 一致；2 不一致；3 无记录
         */
        private String res;

        /**
         * 核验结果状态描述
         */
        private String description;

        /**
         * 性别
         */
        private String sex;

        /**
         * 生日
         */
        private String birthday;

        /**
         * 地址
         */
        private String address;
    }

    public Boolean isSuccess() {
        return Objects.equals(this.code, "0000");
    }

    public Boolean isPast() {
        return Objects.equals(this.data, "一致");
    }

    public Boolean isFail() {
        return !Objects.equals(this.code, "0");
    }

    public Boolean past() {
        return this.result != null && Objects.equals(this.result.getRes(), "1");
    }

    public String getAddress() {
        return this.result == null ? Strings.EMPTY : this.result.getAddress();
    }
}
